;;; cl-scopes/test/test-storage

;;;; testing facility for scopes/storage

(defpackage :scopes/test-storage
  (:use :common-lisp)
  (:local-nicknames (:tracking :scopes/storage/tracking) 
					(:t :scopes/testing))
  (:export #:run))

(in-package :scopes/test-storage)

(defun run ()
  (let ((tst (t:test-suite)))
    (test-track tst)
    (t:result tst)))

(defun test-track (tst)
  (let ((tr (make-instance 'tracking:track)))
	;(setf (scs:data tr) nil)
	(t:assert-eq tst (tracking:data tr) nil)))
